Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.mru
Class MRUListModel

    java.lang.Object
      javax.swing.AbstractListModel
          com.sshtools.common.mru.MRUListModel

All Implemented Interfaces:
  javax.swing.ListModel, java.io.Serializable

public class MRUListModel
extends javax.swing.AbstractListModel

DOCUMENT ME!

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`MRUListModel()` Creates a new MRUListModel object.

Method Summary
`void` | `add(java.io.File f)` DOCUMENT ME!
`java.lang.Object` | `getElementAt(int i)` DOCUMENT ME!
`MRUList` | `getMRUList()` DOCUMENT ME!
`int` | `getSize()` DOCUMENT ME!
`void` | `setMRUList(MRUList mru)` DOCUMENT ME!

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MRUListModel

    public MRUListModel()

  Creates a new MRUListModel object.

Method Detail

### add

    public void add(java.io.File f)

  DOCUMENT ME!

  Parameters:
    `f` - DOCUMENT ME!

### getElementAt

    public java.lang.Object getElementAt(int i)

  DOCUMENT ME!

  Parameters:
    `i` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getSize

    public int getSize()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setMRUList

    public void setMRUList(MRUList mru)

  DOCUMENT ME!

  Parameters:
    `mru` - DOCUMENT ME!

### getMRUList

    public MRUList getMRUList()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD